﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ToolItemCustomsMenu
{
    public partial class Form1 : Form
    {

        public ContextMenu cm;
        public Form1()
        {
            InitializeComponent();
            cm = new System.Windows.Forms.ContextMenu();
            cm.MenuItems.Add("Special Context menu: Item 1");
            cm.MenuItems.Add("Special Context menu: Item 2");
            cm.MenuItems.Add("Special Context menu: Item 3");

            cm.MenuItems[0].Click += new EventHandler(Form1_Click);
            cm.MenuItems[1].Click += new EventHandler(Form1_Click1);
            cm.MenuItems[2].Click += new EventHandler(Form1_Click2);
        }

        #region Special context item click event
        void Form1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Special Context menu: Item 1 - CLICK ");
        }

        void Form1_Click1(object sender, EventArgs e)
        {
            MessageBox.Show("Special Context menu: Item 2 - CLICK ");
        }

        void Form1_Click2(object sender, EventArgs e)
        {
            MessageBox.Show("Special Context menu: Item 3 - CLICK ");
        }
        #endregion


        private void ultraToolbarsManager1_BeforeToolbarListDropdown(object sender, Infragistics.Win.UltraWinToolbars.BeforeToolbarListDropdownEventArgs e)
        {
            if (e.Tool != null && e.Tool.Key == "ButtonTool3")
            {
                e.Cancel = true;
                this.ContextMenu = cm;
            }
            else
            {
                e.Cancel = false;
                this.ContextMenu = null;
            }

        }
    }
}
